com.buschmais.jqassistant.plugin.cdi.api.model

## Interface BeansXmlDescriptor

- All Superinterfaces:
    CdiDescriptor, com.buschmais.jqassistant.core.store.api.model.Descriptor, com.buschmais.jqassistant.plugin.common.api.model.FileDescriptor, com.buschmais.jqassistant.plugin.common.api.model.FileNameDescriptor, com.buschmais.jqassistant.plugin.xml.api.model.XmlDescriptor

      @Label(value="Beans")
      public interface BeansXmlDescriptor
      extends CdiDescriptor, com.buschmais.jqassistant.plugin.common.api.model.FileDescriptor, com.buschmais.jqassistant.plugin.xml.api.model.XmlDescriptor

  Defines the label "Beans" representing a beans.xml descriptor.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<com.buschmais.jqassistant.plugin.java.api.model.TypeDescriptor>` | `getAlternatives()` Return all Java types which are declared as alternative.
    `String` | `getBeanDiscoveryMode()` Return the bean discovery mode.
    `List<com.buschmais.jqassistant.plugin.java.api.model.TypeDescriptor>` | `getDecorators()` Return all Java types which are declared as decorator.
    `List<com.buschmais.jqassistant.plugin.java.api.model.TypeDescriptor>` | `getInterceptors()` Return all Java types which are declared as interceptor.
    `String` | `getVersion()` Return the version of the CDI specification.
    `void` | `setBeanDiscoveryMode(String beanDiscoveryMode)`
    `void` | `setVersion(String version)`

    - ### Methods inherited from interface com.buschmais.jqassistant.plugin.common.api.model.FileNameDescriptor

      `getFileName, setFileName`

- - ### Method Detail

    - #### getVersion

          String getVersion()

      Return the version of the CDI specification.
      Returns:
        The version of the CDI specification.

    - #### setVersion

          void setVersion(String version)

    - #### getBeanDiscoveryMode

          String getBeanDiscoveryMode()

      Return the bean discovery mode.
      Returns:
        The bean discovery mode.

    - #### setBeanDiscoveryMode

          void setBeanDiscoveryMode(String beanDiscoveryMode)

    - #### getInterceptors

          @Relation(value="HAS_INTERCEPTOR")
          List<com.buschmais.jqassistant.plugin.java.api.model.TypeDescriptor> getInterceptors()

      Return all Java types which are declared as interceptor.
      Returns:
        All Java types which are declared as interceptor.

    - #### getDecorators

          @Relation(value="HAS_DECORATOR")
          List<com.buschmais.jqassistant.plugin.java.api.model.TypeDescriptor> getDecorators()

      Return all Java types which are declared as decorator.
      Returns:
        All Java types which are declared as decorator.

    - #### getAlternatives

          @Relation(value="HAS_ALTERNATIVE")
          List<com.buschmais.jqassistant.plugin.java.api.model.TypeDescriptor> getAlternatives()

      Return all Java types which are declared as alternative.
      Returns:
        All Java types which are declared as alternative.

Copyright © 2015 buschmais GbR. All rights reserved.